#ifndef INCLUDED_snow_types_InputEvents
#define INCLUDED_snow_types_InputEvents

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,InputEventType)
HX_DECLARE_CLASS2(snow,types,InputEvents)
namespace snow{
namespace types{


class HXCPP_CLASS_ATTRIBUTES  InputEvents_obj : public hx::Object{
	public:
		typedef hx::Object super;
		typedef InputEvents_obj OBJ_;
		InputEvents_obj();
		Void __construct();

	public:
		inline void *operator new( size_t inSize, bool inContainer=false)
			{ return hx::Object::operator new(inSize,inContainer); }
		static hx::ObjectPtr< InputEvents_obj > __new();
		static Dynamic __CreateEmpty();
		static Dynamic __Create(hx::DynamicArray inArgs);
		//~InputEvents_obj();

		HX_DO_RTTI;
		static void __boot();
		static void __register();
		::String __ToString() const { return HX_CSTRING("InputEvents"); }

		static int ie_unknown;
		static int ie_key;
		static int ie_mouse;
		static int ie_touch;
		static int ie_joystick;
		static int ie_controller;
		static ::snow::types::InputEventType typed( int type);
		static Dynamic typed_dyn();

};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_InputEvents */ 
